Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart.designer.panels
Class ChartOptions

    java.lang.Object
      ELPanel
          com.eltima.chart.designer.panels.ChartOptions

    public class ChartOptions

extends ELPanel

Constructor Summary
`ChartOptions(ChartProvider chartProvider)`

Method Summary
`void` | `closeAll()`
`boolean` | `isAnimationDialogVisible()`
`boolean` | `isButtonAboutVisible()`
`boolean` | `isChartBackgroundDialogVisible()`
`boolean` | `isChartTypeDialogVisible()`
`boolean` | `isDataDialogVisible()`
`boolean` | `isFooterDialogVisible()`
`boolean` | `isGridDialogVisible()`
`boolean` | `isHeaderDialogVisible()`
`boolean` | `isHorizontalAxisDialogVisible()`
`boolean` | `isLegendDialogVisible()`
`boolean` | `isPlotBackgroundDialogVisible()`
`boolean` | `isSeriesDialogVisible()`
`boolean` | `isStyleDialogVisible()`
`boolean` | `isVerticalAxisDialogVisible()`
`void` | `openAll()`
`void` | `reset()`
`void` | `resetChecks()`
`void` | `setAnimationDialogVisible(boolean visible)`
`void` | `setButtonAboutVisible(boolean buttonAboutVisible)`
`void` | `setChartBackgroundDialogVisible(boolean visible)`
`void` | `setChartTypeDialogVisible(boolean visible)`
`void` | `setDataDialogVisible(boolean visible)`
`void` | `setFooterDialogVisible(boolean visible)`
`void` | `setGridDialogVisible(boolean visible)`
`void` | `setHeaderDialogVisible(boolean visible)`
`void` | `setHorizontalAxisDialogVisible(boolean visible)`
`void` | `setLegendDialogVisible(boolean visible)`
`void` | `setPlotBackgroundDialogVisible(boolean visible)`
`void` | `setSeriesDialogVisible(boolean visible)`
`void` | `setStyleDialogVisible(boolean visible)`
`void` | `setVerticalAxisDialogVisible(boolean visible)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartOptions

    public ChartOptions(ChartProvider chartProvider)

Method Detail

### setHeaderDialogVisible

    public void setHeaderDialogVisible(boolean visible)

### setChartTypeDialogVisible

    public void setChartTypeDialogVisible(boolean visible)

### setFooterDialogVisible

    public void setFooterDialogVisible(boolean visible)

### setDataDialogVisible

    public void setDataDialogVisible(boolean visible)

### setSeriesDialogVisible

    public void setSeriesDialogVisible(boolean visible)

### setStyleDialogVisible

    public void setStyleDialogVisible(boolean visible)

### setLegendDialogVisible

    public void setLegendDialogVisible(boolean visible)

### setVerticalAxisDialogVisible

    public void setVerticalAxisDialogVisible(boolean visible)

### setHorizontalAxisDialogVisible

    public void setHorizontalAxisDialogVisible(boolean visible)

### setChartBackgroundDialogVisible

    public void setChartBackgroundDialogVisible(boolean visible)

### setPlotBackgroundDialogVisible

    public void setPlotBackgroundDialogVisible(boolean visible)

### setGridDialogVisible

    public void setGridDialogVisible(boolean visible)

### setAnimationDialogVisible

    public void setAnimationDialogVisible(boolean visible)

### isHeaderDialogVisible

    public boolean isHeaderDialogVisible()

### isChartTypeDialogVisible

    public boolean isChartTypeDialogVisible()

### isFooterDialogVisible

    public boolean isFooterDialogVisible()

### isDataDialogVisible

    public boolean isDataDialogVisible()

### isSeriesDialogVisible

    public boolean isSeriesDialogVisible()

### isStyleDialogVisible

    public boolean isStyleDialogVisible()

### isLegendDialogVisible

    public boolean isLegendDialogVisible()

### isVerticalAxisDialogVisible

    public boolean isVerticalAxisDialogVisible()

### isHorizontalAxisDialogVisible

    public boolean isHorizontalAxisDialogVisible()

### isChartBackgroundDialogVisible

    public boolean isChartBackgroundDialogVisible()

### isPlotBackgroundDialogVisible

    public boolean isPlotBackgroundDialogVisible()

### isGridDialogVisible

    public boolean isGridDialogVisible()

### isAnimationDialogVisible

    public boolean isAnimationDialogVisible()

### openAll

    public void openAll()

### closeAll

    public void closeAll()

### reset

    public void reset()

### resetChecks

    public void resetChecks()

### isButtonAboutVisible

    public boolean isButtonAboutVisible()

### setButtonAboutVisible

    public void setButtonAboutVisible(boolean buttonAboutVisible)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.